Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Óscar Fuentes <[email-masked]>
Date: Mon, 28 Mar 2016 17:52:26 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

[snip]

> So on to the specific problem of `M-q' again: If we think the general
> solution is a no go, would it still make sense to do the hash-the-buffer
> solution just for `M-q'?  That is, does `M-q' ever change text
> properties in a way that we want maintained without changing the text
> itself?  I think the answer to the last question is "no", but I'm not
> sure.

To be precise, the question is not about *maintaining* the changed
properties (nobody suggested to throw them away) but about marking the
buffer as modified just because those properties [might have] changed.